import * as basicValidation from "./basicValidation.cjs";
/**
 * This function validates the inputs of a POST request on /schedule
 */
export function validatePostScheduleInput(body) {
    if (body === undefined) {
        return true;
    }
    if (!basicValidation.validatePostScheduleRequestBodyRequest(body)) {
        validatePostScheduleInput.errors = basicValidation.validatePostScheduleRequestBodyRequest.errors;
        return false;
    }
    return true;
}
/**
 * This function validates the outputs to a POST request on /schedule
 */
export function validatePostScheduleOutput(response) {
    if (response.status < 100 || response.status >= 600)
        return false;
    if (response.status === 200) {
        if (!basicValidation.validatePostScheduleResponse200Response(response.body)) {
            validatePostScheduleOutput.errors = basicValidation.validatePostScheduleResponse200Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 400) {
        return true;
    }
    if (response.status === 401) {
        return true;
    }
    if (response.status === 403) {
        return true;
    }
    if (response.status === 404) {
        if (!basicValidation.validatePostScheduleResponse404Response(response.body)) {
            validatePostScheduleOutput.errors = basicValidation.validatePostScheduleResponse404Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 422) {
        if (!basicValidation.validatePostScheduleResponse422Response(response.body)) {
            validatePostScheduleOutput.errors = basicValidation.validatePostScheduleResponse422Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 500) {
        if (!basicValidation.validatePostScheduleResponse500Response(response.body)) {
            validatePostScheduleOutput.errors = basicValidation.validatePostScheduleResponse500Response.errors;
            return false;
        }
        return true;
    }
    if (response.status === 503) {
        return true;
    }
    validatePostScheduleOutput.errors = `Response status ${response.status} is unexpected`;
    return false;
}
//# sourceMappingURL=requestValidation.js.map